Bug 90987 - Pages/Slides pane does not remember its collapsed state on reopen
Summary: Pages/Slides pane does not remember its collapsed state on reopen
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
Depends on:
Blocks: Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2015-05-01 09:36 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-07-14 02:47 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-05-01 09:36:02 UTC
If you open Draw and hide or close the Pages pane, when you reopen Draw the pane will be in it open position. As Draw and Impress share the same code, the Slides pane in Impress has this same behaviour.

Version: 5.0.0.0.alpha1+
Build ID: ec7f227f90fbdd0bd17c0b885a832e6408106deb
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-28_12:54:35
Comment 1 Buovjaga 2015-05-01 17:35:49 UTC
Yeap.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI
Comment 2 tmacalp 2015-09-11 21:00:20 UTC
I don't think this was inherited from OOo.  I believe this is a regression from LO 5.0.  I was not able to reproduce in LibreOffice 4.4.5.2 and previous versions.

For both Draw and Impress, LO versions before 5.0 remember both the open/close state and their hide/show states for both the sidebar and page/slide panes.

So I'll set the version to 5.0.  Please change it back if I'm missing something obvious.
Comment 3 Yousuf Philips (jay) (retired) 2015-09-12 07:15:44 UTC
Confirmed it works correctly in 4.4 daily.
Comment 4 crxssi 2015-09-12 10:21:53 UTC
It is definitely a regression- an irritating one at that.  And this isn't the first time we have seen this regression.  Once before (can't remember when), LO lost the ability to remember the state of closing the page pane and it took several versions before it was corrected.

Personally, I detest the page pane- it wastes space, it slows down performance, and it is distracting.  Since 99+% of typical Draw documents are a single page (at least this is my experience and from what I have seen from nearly all my users), it is almost never useful to have the page pane on.  This absolutely needs to be fixed.

Now, the more useful aspect of my posting is this: since 5.0, Impress no longer remembers the state of the page pane, either.  The difference is that in Impress, 99+% of documents are MORE than one page, so this seems to make sense.  So is that a regression too, or a desired new behavior?
Comment 5 Yousuf Philips (jay) (retired) 2015-09-12 19:22:38 UTC
(In reply to crxssi from comment #4)
> Personally, I detest the page pane- it wastes space, it slows down
> performance, and it is distracting.  Since 99+% of typical Draw documents
> are a single page (at least this is my experience and from what I have seen
> from nearly all my users), it is almost never useful to have the page pane
> on.  This absolutely needs to be fixed.

I was hoping to make the page pane enabled but closed by default in 5.0, but this bug didnt allow me to do that and also i got opposition to it in bug 90090. Maybe if this is fixed, we can make it happen for 5.1. :D
Comment 6 crxssi 2015-09-12 23:09:12 UTC
(In reply to Yousuf (Jay) Philips from comment #5)
> (In reply to crxssi from comment #4)
> > Personally, I detest the page pane- it wastes space, it slows down
> > performance, and it is distracting.  Since 99+% of typical Draw documents
> > are a single page (at least this is my experience and from what I have seen
> > from nearly all my users), it is almost never useful to have the page pane
> > on.  This absolutely needs to be fixed.
> 
> I was hoping to make the page pane enabled but closed by default in 5.0, but
> this bug didnt allow me to do that and also i got opposition to it in bug
> 90090. Maybe if this is fixed, we can make it happen for 5.1. :D

I don't care if it is open or closed by default, as long as it remembers how I set it.  If I close it, I want it to remain closed not only for that session of LO, but also the next time I launch LO.
Comment 7 Katarina Behrens (CIB) 2015-10-22 09:36:39 UTC
The thing that should be writing the config back to user's profile seems not to be properly disposed of (as it should write the config on dispose) ... Reading the config works (if it already exists in user's profile). 

Some bibisect would be really helpful
Comment 8 Commit Notification 2015-10-30 08:42:51 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e528df76b168a221c6d251d9b076bce5ba051a3

tdf#90987: SlideSorterBarOptions was missing Commit() too

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-11-02 11:48:43 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f5062f7a39f56e66992de9adaf9b8af25adab06&h=libreoffice-5-0

tdf#90987: SlideSorterBarOptions was missing Commit() too

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 09:00:16 UTC Comment hidden (obsolete)
Comment 11 Yousuf Philips (jay) (retired) 2016-07-30 09:18:34 UTC
So the pane's closed state is remembered, but the pane's collapsed state isnt remembered.

Steps:
1) Open Draw or Impress with the pane open
2) Click the hide arrow of the pane to collapse it
3) Reopen Draw or Impress and the pane is shown

Version: 5.3.0.0.alpha0+
Build ID: d2e4753c3f511cfc6b2932ce60d0bc2e09296f9f
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-07-26_17:32:37
Locale: en-US (en_US.UTF-8); Calc: group
Comment 12 Aron Budea 2016-08-30 03:40:29 UTC
Adjusting version and keywords, since collapsed state isn't remembered in 3.3.0, either, and thus isn't a regression (while not remembering closed state was).
Comment 13 Xisco Faulí 2017-07-13 11:22:45 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 14 QA Administrators 2018-07-14 02:47:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug